#include <iostream>
#include <cmath>
using namespace std;

int main(int argc, char** argv) {
	int n, k, c, res;
	cin >> n >> k;
	int prva;
	cin>>prva;
	bool sl = false;
	if(prva==k)
	{
		sl = true;
	}
	for(int i = 1; i<n;i++)
	{
		cin>>c;
		if(sl)
		{
			sl = false;
			res = c;
		}
		else
		{
			if(c==k)
			{
				sl = true;
			}
		}
	}
	if(sl) cout<<prva<<endl;
	else cout <<res<<endl;
	return 0;
}